Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPASTConstructorInitializer

All Superinterfaces:
  `IASTInitializer`, `IASTNode`

public interface ICPPASTConstructorInitializer extends IASTInitializer
Represents a potentially empty list of initializers in parenthesis: ( initializer-list? )

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ASTNodeProperty`
`ARGUMENT`
`static final ASTNodeProperty`
`EXPRESSION`
Deprecated.
Use `ARGUMENT` instead.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTInitializer

`EMPTY_INITIALIZER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`ICPPASTConstructorInitializer`
`copy()`
Returns a mutable copy of the tree rooted at this node.
`ICPPASTConstructorInitializer`
`copy(IASTNode.CopyStyle style)`
Returns a mutable copy of the tree rooted at this node.
`IASTInitializerClause[]`
`getArguments()`
Returns the arguments of this initializer, never `null`.
`IASTExpression`
`getExpression()`
Deprecated.
Replaced by `getArguments()`.
`void`
`setArguments(IASTInitializerClause[] args)`
Not allowed on frozen ast.
`void`
`setExpression(IASTExpression expression)`
Deprecated.
Replaced by `setArguments(IASTInitializerClause[])`.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

## Field Details

### ARGUMENT

static final ASTNodeProperty ARGUMENT

Since:
  5.2

### EXPRESSION

@Deprecated static final ASTNodeProperty EXPRESSION
Deprecated.
Use `ARGUMENT` instead.

Restriction:
  This field is not intended to be referenced by clients.

## Method Details

### getArguments

IASTInitializerClause[] getArguments()
Returns the arguments of this initializer, never `null`. An argument can be of type `IASTInitializerList`.

Since:
  5.2

### setArguments

void setArguments(IASTInitializerClause[] args)
Not allowed on frozen ast.

Since:
  5.2

### copy

ICPPASTConstructorInitializer copy()
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTInitializer`
Specified by:
  `copy` in interface `IASTNode`
Since:
  5.1

### copy

ICPPASTConstructorInitializer copy(IASTNode.CopyStyle style)
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTInitializer`
Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3

### getExpression

@Deprecated IASTExpression getExpression()
Deprecated.
Replaced by `getArguments()`.

Restriction:
  This method is not intended to be referenced by clients.

### setExpression

@Deprecated void setExpression(IASTExpression expression)
Deprecated.
Replaced by `setArguments(IASTInitializerClause[])`.

Restriction:
  This method is not intended to be referenced by clients.